Bug 454829 - System Settings crashes when I try to install a cursor theme from file
Summary: System Settings crashes when I try to install a cursor theme from file
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_cursortheme (show other bugs)
Version: master
Platform: Neon Packages Linux
: VHI crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi, regression
Depends on:
Blocks:
 
Reported: 2022-06-04 12:10 UTC by Patrick Silva
Modified: 2022-06-13 17:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.1


Attachments
cursor theme (160.41 KB, application/gzip)
2022-06-04 12:11 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-06-04 12:10:48 UTC
Application: systemsettings (5.25.80)

Qt Version: 5.15.4
Frameworks Version: 5.95.0
Operating System: Linux 5.13.0-44-generic x86_64
Windowing System: Wayland
Distribution: KDE neon Unstable Edition
DrKonqi: 5.25.80 [CoredumpBackend]

-- Information about the crash:
STEPS TO REPRODUCE
1. download the attached cursor theme
2. go to System Settings > Appearance > Cursors
3. click on 'Install from file...' button and double-click on the downloaded cursor theme

The crash can be reproduced every time.

-- Backtrace:
Application: System Settings (systemsettings), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = 0x0}
[New LWP 13570]
[New LWP 13589]
[New LWP 13837]
[New LWP 13593]
[New LWP 13840]
[New LWP 13841]
[New LWP 13842]
[New LWP 13592]
[New LWP 13838]
[New LWP 14287]
[New LWP 14298]
[New LWP 13591]
[New LWP 13590]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/systemsettings'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7fe4a8996e80 (LWP 13570))]
__preamble__

[Current thread is 1 (Thread 0x7fe4a8996e80 (LWP 13570))]

Thread 13 (Thread 0x7fe4a750d700 (LWP 13590)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=fds@entry=0x7fe4a750cbe0, nfds=nfds@entry=2, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4aade9bd6 in poll (__timeout=-1, __nfds=2, __fds=0x7fe4a750cbe0) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  QtWaylandClient::EventThread::run (this=0x5583eb1e1830) at qwaylanddisplay.cpp:208
#3  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583eb1e1830) at thread/qthread_unix.cpp:331
#4  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fe4a6c0c700 (LWP 13591)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x7fe49c004a60, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7fe49c004a60, timeout=<optimized out>, context=0x7fe49c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fe49c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x7fe49c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x7fe49c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7fe4a6c0bbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe4ad631462 in QThread::exec (this=this@entry=0x7fe4aca05d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe4ac981f4b in QDBusConnectionManager::run (this=0x7fe4aca05d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x7fe4aca05d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:331
#9  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fe495c08700 (LWP 14298)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5583f32c27c0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5583f32c2770, cond=0x5583f32c2798) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5583f32c2798, mutex=0x5583f32c2770) at pthread_cond_wait.c:647
#3  0x00007fe4ad6386db in QWaitConditionPrivate::wait (deadline=..., this=0x5583f32c2770) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x5583efacccb0, mutex=mutex@entry=0x5583efaccca8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe494a4a140 in FileInfoThread::run (this=0x5583efaccc98) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583efaccc98) at thread/qthread_unix.cpp:331
#7  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fe4829ca700 (LWP 14287)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x7fe4740859e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fe4740859e0, timeout=<optimized out>, context=0x7fe474085920) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fe474085920, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x7fe474085920, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x7fe4740045d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7fe4829c9bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe4ad631462 in QThread::exec (this=this@entry=0x5583efe30a40) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe4ab5e3689 in QQmlThreadPrivate::run (this=0x5583efe30a40) at qml/ftw/qqmlthread.cpp:155
#8  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583efe30a40) at thread/qthread_unix.cpp:331
#9  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fe48366d700 (LWP 13838)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x7fe470004ab0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fe470004ab0, timeout=<optimized out>, context=0x7fe470000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fe470000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x7fe470000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x7fe470000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7fe48366cbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe4ad631462 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583effd8750) at thread/qthread_unix.cpp:331
#8  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fe497fff700 (LWP 13592)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5583eb33cefc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5583eb33cea8, cond=0x5583eb33ced0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5583eb33ced0, mutex=0x5583eb33cea8) at pthread_cond_wait.c:647
#3  0x00007fe4a46695eb in cnd_wait (mtx=0x5583eb33cea8, cond=0x5583eb33ced0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x5583eb28cd90) at ../src/util/u_queue.c:294
#5  0x00007fe4a46691eb in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fe46effd700 (LWP 13842)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x7fe464003e20, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fe464003e20, timeout=<optimized out>, context=0x7fe464000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fe464000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x7fe464000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x7fe464000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7fe46effcbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe4ad631462 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583f2e8b9b0) at thread/qthread_unix.cpp:331
#8  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fe46f7fe700 (LWP 13841)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x5583f2f7c400, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x5583f2f7c400, timeout=<optimized out>, context=0x5583f2f78e80) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=0x5583f2f78e80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c6f3 in g_main_loop_run (loop=0x5583f2f78f70) at ../../../glib/gmain.c:4241
#4  0x00007fe484141f8a in gdbus_shared_thread_func (user_data=0x5583f2f78e50) at ../../../gio/gdbusprivate.c:279
#5  0x00007fe4abd85ad1 in g_thread_proxy (data=0x5583f2f705e0) at ../../../glib/gthread.c:807
#6  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fe46ffff700 (LWP 13840)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x5583f2f65980, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x5583f2f65980, timeout=<optimized out>, context=0x5583f2f68940) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x5583f2f68940, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x5583f2f68940, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4abd5c4f1 in glib_worker_main (data=<optimized out>) at ../../../glib/gmain.c:5996
#5  0x00007fe4abd85ad1 in g_thread_proxy (data=0x5583eb1aec60) at ../../../glib/gthread.c:807
#6  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fe49771d700 (LWP 13593)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x7fe488004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fe488004e60, timeout=<optimized out>, context=0x7fe488000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fe488000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x7fe488000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x7fe488000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7fe49771cbc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe4ad631462 in QThread::exec (this=this@entry=0x5583eb6cb3a0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe4ab5e3689 in QQmlThreadPrivate::run (this=0x5583eb6cb3a0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583eb6cb3a0) at thread/qthread_unix.cpp:331
#9  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fe483e6e700 (LWP 13837)):
#0  0x00007fe4ad2a099f in __GI___poll (fds=0x7fe478004a60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe4abd5c36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7fe478004a60, timeout=<optimized out>, context=0x7fe478000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7fe478000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x7fe478000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x7fe478000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7fe483e6dbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe4ad631462 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583f0048fd0) at thread/qthread_unix.cpp:331
#8  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fe4a7d0e700 (LWP 13589)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5583eb1e1414) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5583eb1e13c0, cond=0x5583eb1e13e8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5583eb1e13e8, mutex=0x5583eb1e13c0) at pthread_cond_wait.c:647
#3  0x00007fe4ad6386db in QWaitConditionPrivate::wait (deadline=..., this=0x5583eb1e13c0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x5583eb1e1800, mutex=mutex@entry=0x5583eb1e17f8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe4aade9b7d in QtWaylandClient::EventThread::waitForReading (this=0x5583eb1e17c0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QtWaylandClient::EventThread::run (this=0x5583eb1e17c0) at qwaylanddisplay.cpp:206
#7  0x00007fe4ad632643 in QThreadPrivate::start (arg=0x5583eb1e17c0) at thread/qthread_unix.cpp:331
#8  0x00007fe4ac719609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fe4ad2ad133 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fe4a8996e80 (LWP 13570)):
[KCrash Handler]
#3  QString::QString (other=..., this=0x7ffcd17176f8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qstring.h:1093
#4  CursorTheme::name (this=0x0) at ./kcms/cursortheme/xcursor/cursortheme.h:73
#5  CursorThemeConfig::cursorThemeFromIndex (this=this@entry=0x5583eba73d40, index=<optimized out>) at ./kcms/cursortheme/kcmcursortheme.cpp:289
#6  0x00007fe4953e7df9 in CursorThemeConfig::qt_static_metacall (_o=_o@entry=0x5583eba73d40, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=15, _a=_a@entry=0x7ffcd1717890) at ./obj-x86_64-linux-gnu/kcms/cursortheme/kcm_cursortheme_autogen/EWIEGA46WW/moc_kcmcursortheme.cpp:194
#7  0x00007fe4953e8443 in CursorThemeConfig::qt_metacall (this=0x5583eba73d40, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x7ffcd1717890) at ./obj-x86_64-linux-gnu/kcms/cursortheme/kcm_cursortheme_autogen/EWIEGA46WW/moc_kcmcursortheme.cpp:347
#8  0x00007fe4ab576b15 in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffcd1717bd0, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=54, argv=<optimized out>) at ../../include/QtQml/5.15.4/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#9  0x00007fe4ab43f225 in CallMethod (object=..., index=<optimized out>, returnType=returnType@entry=10, argCount=<optimized out>, argTypes=<optimized out>, engine=engine@entry=0x5583f01d1560, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1300
#10 0x00007fe4ab441327 in CallPrecise (object=..., data=..., engine=engine@entry=0x5583f01d1560, callArgs=callArgs@entry=0x7fe494ce8590, callType=callType@entry=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.4/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#11 0x00007fe4ab44221a in QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=1) at jsruntime/qv4qobjectwrapper.cpp:2130
#12 0x00007fe4ab461ca1 in QV4::FunctionObject::call (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.4/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#13 QV4::Moth::VME::interpret (frame=0x7ffcd1717ec0, engine=0x5583f01d1560, code=0x7fe494ce8540 "\300F\225\204\344\177") at jsruntime/qv4vme_moth.cpp:757
#14 0x00007fe4ab463bff in QV4::Moth::VME::exec (frame=frame@entry=0x7ffcd1717ec0, engine=engine@entry=0x5583f01d1560) at jsruntime/qv4vme_moth.cpp:466
#15 0x00007fe4ab3f0c8d in QV4::Function::call (this=this@entry=0x5583ec06b580, thisObject=<optimized out>, argv=argv@entry=0x7fe494ce8500, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#16 0x00007fe4ab596fa7 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x5583ec86cc10, callData=callData@entry=0x7fe494ce84d0, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.15.4/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#17 0x00007fe4ab53a85e in QQmlBoundSignalExpression::evaluate (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.4/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#18 0x00007fe4ab53b8f8 in QQmlBoundSignal_callback (e=0x5583f2f38bc0, a=0x0) at ../../include/QtQml/5.15.4/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#19 0x00007fe4ab57657d in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at qml/qqmlnotifier.cpp:104
#20 0x00007fe4ab518c2f in QQmlData::signalEmitted (object=0x5583f009fd60, index=77, a=0x0) at qml/qqmlengine.cpp:834
#21 0x00007fe4ad84ffb5 in doActivate<false> (sender=0x5583f009fd60, signal_index=77, argv=0x0) at kernel/qobject_p.h:110
#22 0x00007fe4aba6e9bf in QQuickItemViewPrivate::applyModelChanges (this=this@entry=0x5583f00897f0, totalInsertionResult=totalInsertionResult@entry=0x7ffcd1719d30, totalRemovalResult=totalRemovalResult@entry=0x7ffcd1719d60) at items/qquickitemview.cpp:2121
#23 0x00007fe4aba6ca50 in QQuickItemViewPrivate::layout (this=0x5583f00897f0) at items/qquickitemview.cpp:1895
#24 0x00007fe4ab9bdcec in QQuickWindowPrivate::polishItems (this=this@entry=0x5583f3437530) at items/qquickwindow.cpp:393
#25 0x00007fe4aba46c22 in QQuickRenderControl::polishItems (this=<optimized out>) at items/qquickrendercontrol.cpp:277
#26 0x00007fe4abcff069 in QQuickWidgetPrivate::render (this=0x5583ebc49aa0, needsSync=<optimized out>) at qquickwidget.cpp:306
#27 0x00007fe4abcff2cc in QQuickWidgetPrivate::renderSceneGraph (this=0x5583ebc49aa0) at qquickwidget.cpp:361
#28 0x00007fe4ad846ea5 in QObject::event (this=this@entry=0x5583ecb61470, e=e@entry=0x7ffcd171a420) at kernel/qobject.cpp:1336
#29 0x00007fe4ae483d2d in QWidget::event (this=this@entry=0x5583ecb61470, event=event@entry=0x7ffcd171a420) at kernel/qwidget.cpp:9094
#30 0x00007fe4abd02f97 in QQuickWidget::event (this=0x5583ecb61470, e=0x7ffcd171a420) at qquickwidget.cpp:1569
#31 0x00007fe4ae440dc3 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x5583ecb61470, e=0x7ffcd171a420) at kernel/qapplication.cpp:3637
#32 0x00007fe4ae449bd8 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3161
#33 0x00007fe4ad8193aa in QCoreApplication::notifyInternal2 (receiver=0x5583ecb61470, event=0x7ffcd171a420) at ../../include/QtCore/5.15.4/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#34 0x00007fe4ad872fc0 in QTimerInfoList::activateTimers (this=0x5583eb1dd380) at kernel/qtimerinfo_unix.cpp:643
#35 0x00007fe4ad8738ac in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:183
#36 0x00007fe4abd5c17d in g_main_dispatch (context=0x5583eb1dcf00) at ../../../glib/gmain.c:3309
#37 g_main_context_dispatch (context=context@entry=0x5583eb1dcf00) at ../../../glib/gmain.c:3974
#38 0x00007fe4abd5c400 in g_main_context_iterate (context=context@entry=0x5583eb1dcf00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#39 0x00007fe4abd5c4a3 in g_main_context_iteration (context=0x5583eb1dcf00, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#40 0x00007fe4ad873c72 in QEventDispatcherGlib::processEvents (this=0x5583eb1e19a0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#41 0x00007fe4ad817eab in QEventLoop::exec (this=this@entry=0x7ffcd171a660, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#42 0x00007fe4ad820054 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#43 0x00005583e9ca00af in main (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:183

Reported using DrKonqi
Comment 1 Patrick Silva 2022-06-04 12:11:38 UTC
Created attachment 149449 [details]
cursor theme
Comment 2 Nate Graham 2022-06-06 17:59:45 UTC
Can reproduce 100%.

#3  QString::QString (other=..., this=0x7ffcd17176f8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qstring.h:1093
#4  CursorTheme::name (this=0x0) at ./kcms/cursortheme/xcursor/cursortheme.h:73
#5  CursorThemeConfig::cursorThemeFromIndex (this=this@entry=0x5583eba73d40, index=<optimized out>) at ./kcms/cursortheme/kcmcursortheme.cpp:289
#6  0x00007fe4953e7df9 in CursorThemeConfig::qt_static_metacall (_o=_o@entry=0x5583eba73d40, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=15, _a=_a@entry=0x7ffcd1717890) at ./obj-x86_64-linux-gnu/kcms/cursortheme/kcm_cursortheme_autogen/EWIEGA46WW/moc_kcmcursortheme.cpp:194
#7  0x00007fe4953e8443 in CursorThemeConfig::qt_metacall (this=0x5583eba73d40, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x7ffcd1717890) at ./obj-x86_64-linux-gnu/kcms/cursortheme/kcm_cursortheme_autogen/EWIEGA46WW/moc_kcmcursortheme.cpp:347
Comment 3 Bug Janitor Service 2022-06-06 19:35:25 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1812
Comment 4 Alexander Lohnau 2022-06-12 09:08:22 UTC
Git commit bb678094388c1eec246645ad0b07b8868aa53008 by Alexander Lohnau.
Committed on 12/06/2022 at 08:32.
Pushed by alex into branch 'master'.

Fix missing nullptr check for cursortheme

M  +1    -1    kcms/cursortheme/kcmcursortheme.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/bb678094388c1eec246645ad0b07b8868aa53008
Comment 5 Alexander Lohnau 2022-06-12 09:09:39 UTC
Git commit e4d2ed569273f626ac8971689d46a6328de50e6d by Alexander Lohnau.
Committed on 12/06/2022 at 09:09.
Pushed by alex into branch 'Plasma/5.24'.

Fix missing index validity check for cursortheme
(cherry picked from commit bb678094388c1eec246645ad0b07b8868aa53008)

M  +1    -1    kcms/cursortheme/kcmcursortheme.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/e4d2ed569273f626ac8971689d46a6328de50e6d
Comment 6 Alexander Lohnau 2022-06-12 09:10:15 UTC
Git commit f219748f5dec01e0bfe9a61bd8de9e6e41bf2afa by Alexander Lohnau.
Committed on 12/06/2022 at 09:09.
Pushed by alex into branch 'Plasma/5.25'.

Fix missing index validity check for cursortheme
(cherry picked from commit bb678094388c1eec246645ad0b07b8868aa53008)

M  +1    -1    kcms/cursortheme/kcmcursortheme.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/f219748f5dec01e0bfe9a61bd8de9e6e41bf2afa